- Main Page
- Modules
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

# axis2_svc_skeleton.h File Reference

`#include <axiom_node.h>`
`#include <axutil_array_list.h>`
`#include <axis2_msg_ctx.h>`

Go to the source code of this file.

## Classes
struct | axis2_svc_skeleton_ops
struct | axis2_svc_skeleton
## Defines
#define | AXIS2_SVC_SKELETON_INIT(svc_skeleton, env) ((svc_skeleton)->ops->init (svc_skeleton, env))
#define | AXIS2_SVC_SKELETON_INIT_WITH_CONF(svc_skeleton, env, conf) ((svc_skeleton)->ops->init_with_conf (svc_skeleton, env, conf))
#define | AXIS2_SVC_SKELETON_FREE(svc_skeleton, env) ((svc_skeleton)->ops->free (svc_skeleton, env))
#define | AXIS2_SVC_SKELETON_INVOKE(svc_skeleton, env, node, msg_ctx) ((svc_skeleton)->ops->invoke (svc_skeleton, env, node, msg_ctx))
#define | AXIS2_SVC_SKELETON_ON_FAULT(svc_skeleton, env, node) ((svc_skeleton)->ops->on_fault (svc_skeleton, env, node))
## Typedefs
typedef struct axis2_svc_skeleton_ops | axis2_svc_skeleton_ops_t
typedef struct axis2_svc_skeleton | axis2_svc_skeleton_t

## Detailed Description